body {
    margin: 0;
    height: 100%;
    max-height: 100%;
    font-family: 'Roboto', sans-serif;
}

#main_frame {
    position: relative;
    border: none;
    display: flex;
    flex-direction: column;
    flex: 1;
}

.horizontal-container {
    max-height: 100%;
    width: 100%;
    min-width: 100%;
    display: flex;
    flex-direction: row;
    overflow: hidden;
    flex: 1;
}

.vertical-container {
    max-height: 100%;
    height: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    flex: 1;
}

.menu {
    color: #0000ff;
    max-height: 100%;
    overflow-y: auto;
}

.menu-inner {
    margin: 8px;
    min-width: 166px;
}

.menubtn {
    outline: none;
}

.menu {
    background-color: #ffffff;
    border-right: 1px solid rgb(214, 217, 220);
    z-index: 2;
}

.menu-list {
    margin: 0;
    padding: 0;
}

.menu-list > li {
    list-style-type: none;
    margin: 1px 0;
}

.menu-list > li > a {
    display: inline-block;
    min-height: 24px;
    min-width: 24px;
    line-height: 24px;
}

.revision {
    font-size: 13px;
    color: black;
}

/* The side navigation menu */
.announcements {
    margin: 0;
    padding: 0;
    width: 200px;
    background-color: rgb(160, 200, 255);
    position: relative;
    height: 100%;
    overflow: auto;
  }

#announcement_frame {
    border: none;
    display: block;
    width: 100%;
    height: 100%;
}

.annBtn {
    position: fixed;
    z-index: 100;
    top: 0.4rem;
    right: 0.4rem;
    width: 3rem;
    height: 3rem;
    background: #285797;
    border: none;
}

.infoIcon{
    display: visible;
    font-size: 32px;
}

@media only screen and (min-width:641px) {
    .menu {
        min-width: 180px;
    }
    .menu > h1, .menu > h2 {
        margin: none;
    }
    .menubtn {
        display: none;
    }
    .annBtn {
        display: none;
    }
}

@media only screen and (max-width:640px) {
    .mil {
        display: none;
    }
    .menu-inner > h1, .menu-inner > h2 {
        display: none;
    }
    .menu-inner {
        min-width: 234px;
    }
    .menu-list > li {
        position: relative;
        border-top: 1px solid rgb(214, 217, 220);
    }
    .menu-list > li:first-child {
        border-top: none;
    }
    .menu-list > li > .revision {
        position: absolute;
        right: 24px;
        top: 14px;
        z-index: -1;
    }
    .menu-list > li > a {
        display: block;
        width: 100%;
        padding: 12px 24px;
        text-decoration: none;
        color: black;
    }
    .menubtn {
        display: flex;
    }
    .menu {
        overflow-x: hidden;
        transition: visibility .5s, min-width .5s, width .5s;
        visibility: hidden;
        width: 0;
        min-width: 0;
    }
    .menu.open {
        visibility: visible;
        width: 250px;
        min-width: 250px;
    }
    .header-more {
        display: none;
    }
    .vertical-container {
        min-width: 100%;
    }

    .announcements {
        display: none;
        position:fixed;
        height:25%;
        min-width: 100%;
        z-index: 1;
    }
    .announcements.open {
        display: block;
    }
    
    #main_frame.open{
        top: 28%;
    }
}

.header {
    padding-left: 10px;
    display: flex;
    align-items: center;
    position: relative;
    background-color: rgb(40, 87, 151);
    max-height: 60px;
    height: 60px;
    max-width: 100%;
    width: 100%;
    text-align: center;
    color: white;
    border-bottom: 4px solid rgb(224,129,46);
}

.header > h2 {
    display: flex;
    margin: 0;
    font-weight: 400;
}

.header-more {
    font-style: italic;
}

.mil {
    height: 60px;
}
